// cacheEntry.c

#include <stdlib.h>
#include "cacheEntry.h"

CacheEntry::CacheEntry(unsigned long lastRefresh,unsigned long lastRequest, unsigned long lastModified, unsigned long hash, int size) {
  CacheEntry::lastRefresh = lastRefresh;
  CacheEntry::lastRequest = lastRequest;
  CacheEntry::lastModified = lastModified;
  CacheEntry::hash = hash;
  CacheEntry::size = size;
  next = NULL;
};

unsigned long CacheEntry::getLastRefresh() {
  return lastRefresh;
}

void CacheEntry::setLastRefresh(unsigned long lastRefresh) {
  CacheEntry::lastRefresh = lastRefresh;
}

unsigned long CacheEntry::getLastRequest() {
  return lastRequest;
}

void CacheEntry::setLastRequest(unsigned long lastRequest) {
  CacheEntry::lastRequest = lastRequest;
}

unsigned long CacheEntry::getLastModified() {
  return lastModified;
}

void CacheEntry::setLastModified(unsigned long lastModified) {
  CacheEntry::lastModified = lastModified;
}

unsigned long CacheEntry::getHash() {
  return hash;
}

int CacheEntry::getSize() {
  return size;
}

void CacheEntry::setSize(int size) {
  CacheEntry::size = size;
}

CacheEntry * CacheEntry::getNext() {
  return next;
}

void CacheEntry::setNext(CacheEntry * next) {
  CacheEntry::next = next;
}
